NAME = "Kisa"
DESCRIPTION = "Kisa core library"
VERSION = 0.63
AUTHOR = "Pete Black"
EMAIL = "theblackpeter@gmail.com"
LICENSE = "GPL"

TEMPLATE = lib

CONFIG += qt \
          x11 \
          warn_on \
          staticlib \
          debug_and_release

QT += dbus

# uncomment to enable full debug output, such as ever event received
# DEFINES += FULL_DEBUG

TARGET = kisa

SOURCES += kisalib.cpp \
           kisaevent.cpp \
           kisalocale.cpp \
           aspelllib.cpp \
           x11lib.cpp

HEADERS += kisalib.h \
           kisaevent.h \
           kisalocale.h \
           aspelllib.h \
           x11fix.h \
           x11lib.h

QMAKE_CXXFLAGS_RELEASE += -DQT_NO_DEBUG_OUTPUT
QMAKE_CXXFLAGS_DEBUG += -fno-inline

DESTDIR = ../../bin
OBJECTS_DIR = ../obj

MAKEFILE = makefile

QMAKE_DISTCLEAN += $$DESTDIR/libkisa.a
